using UnityEditor;
using UnityEngine;

namespace VertexColor.ScenePartition.Editor
{
    public static class EditorGUIUtils
    {
        public static readonly Color horizontalLineColor = Color.white;

        public static void HorizontalLine(Color color)
        {
            Color prev = GUI.color;
            GUI.color = color;
            EditorGUILayout.LabelField("", GUI.skin.horizontalSlider);
            GUI.color = prev;
        }

        public static void HorizontalLine() => HorizontalLine(horizontalLineColor);
    }
}